For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
          • POSTAutocomplete business identities
LogoLogo
Contact SalesGet Support
Middesk APIPrefillAutocompleteIdentities

Autocomplete business identities

POST
https://api.middesk.com/v1/identities/autocomplete
POST
/v1/identities/autocomplete
$curl -X POST https://api.middesk.com/v1/identities/autocomplete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Dunder Mifflin"
>}'
1{
2 "data": [
3 {
4 "id": "35a0fe9a-6586-4d27-a980-c4c09511e273",
5 "names": [
6 {
7 "name": "Dunder Mifflin Paper Company, Inc.",
8 "type": "legal"
9 }
10 ],
11 "addresses": [
12 {
13 "full_address": "1725 Slough Ave, Scranton, PA 18503",
14 "address_line1": "1725 Slough Ave",
15 "city": "Scranton",
16 "state": "PA",
17 "postal_code": "18503",
18 "labels": [
19 "headquarters"
20 ]
21 }
22 ],
23 "people": [
24 {
25 "name": "Michael Scott",
26 "titles": [
27 "Regional Manager"
28 ]
29 }
30 ],
31 "entity_type": "CORPORATION"
32 }
33 ]
34}
Search for business identities using partial name matching. Returns matching businesses with names, addresses, people, and entity type.
Was this page helpful?
Previous

Prefill business information

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired

Business name to search for (minimum 3 characters)

entity_typeenumOptional
Entity type filter
Allowed values:
addresseslist of objectsOptional
Address filters

Response

autocomplete results
datalist of objects

Errors

422
Autocomplete Business Identities Request Unprocessable Entity Error